Rewards API

Endpoints para Rewards

Crea un reward

POST /internal/admin/rewards

Crear

Parameters

Name Description
resource_id Id del recurso
resource Tipo de recurso
amount Monto para la devolucion
promotion_id Id de la promocion
currency_id Id de la criptomoneda

Request

Headers

Content-Type: application/json
Authorization: Bearer <token>
Host: example.org
Cookie: 

Route

POST /internal/admin/rewards

Body

{"resource_id":14,"resource":"kriptostore","amount":10,"promotion_id":9,"currency_id":"doc"}

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/json; charset=utf-8
ETag: W/"c3c7f2ee5643f8ced74a873af71d8a02"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: 42fb223d-3b5e-46e7-a9c6-6db7f654c9b9
X-Runtime: 0.139960
Vary: Origin
Content-Length: 300

Status

200 OK

Body

{
  "data": {
    "id": 1,
    "amount": "10.0",
    "usd_amount": "9.7",
    "currency_id": "doc",
    "status": "claimed",
    "promotion_id": 9,
    "user_type": "User",
    "user_id": 10062,
    "resource_type": "Kriptostore",
    "resource_id": 14,
    "created_at": "2023-03-30T00:51:30.190Z",
    "updated_at": "2023-03-30T00:51:30.203Z",
    "manual": true,
    "admin_id": 9999
  }
}